diff --git a/dirsrvtests/tests/suites/paged_results/paged_results_test.py b/dirsrvtests/tests/suites/paged_results/paged_results_test.py
index 273d2eb..0725168 100644
--- a/dirsrvtests/tests/suites/paged_results/paged_results_test.py
+++ b/dirsrvtests/tests/suites/paged_results/paged_results_test.py
@@ -629,15 +596,15 @@ def test_search_dns_ip_aci(topology, test_user, aci_subject):
         ACI_SUBJECT = '(userdn = "ldap:///anyone") and (%s);)' % aci_subject
         ACI_BODY = ACI_TARGET + ACI_ALLOW + ACI_SUBJECT
         try:
-            topology.standalone.modify_s(DEFAULT_SUFFIX, [(ldap.MOD_REPLACE,
-                                                           'aci',
-                                                           ACI_BODY)])
+            topology_st.standalone.modify_s(DEFAULT_SUFFIX, [(ldap.MOD_REPLACE,
+                                                              'aci',
+                                                              ACI_BODY)])
         except ldap.LDAPError as e:
             log.fatal('Failed to add ACI: error (%s)' % (e.message['desc']))
             raise e
 
         log.info('Set user bind')
-        topology.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
+        topology_st.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
 
         log.info('Create simple paged results control instance')
         req_ctrl = SimplePagedResultsControl(True, size=page_size, cookie='')
@@ -646,7 +613,7 @@ def test_search_dns_ip_aci(topology, test_user, aci_subject):
         log.info('Initiate three searches with a paged results control')
         for ii in range(3):
             log.info('%d search' % (ii + 1))
-            all_results = paged_search(topology, DEFAULT_SUFFIX, controls,
+            all_results = paged_search(topology_st, DEFAULT_SUFFIX, controls,
                                        search_flt, searchreq_attrlist)
             log.info('%d results' % len(all_results))
             assert len(all_results) == len(users_list)
@@ -654,19 +621,19 @@ def test_search_dns_ip_aci(topology, test_user, aci_subject):
 
     finally:
         log.info('Set Directory Manager bind back (test_search_dns_ip_aci)')
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
         log.info('Restore ACI')
-        topology.standalone.modify_s(DEFAULT_SUFFIX, [(ldap.MOD_DELETE,
-                                                       'aci',
-                                                       None)])
+        topology_st.standalone.modify_s(DEFAULT_SUFFIX, [(ldap.MOD_DELETE,
+                                                          'aci',
+                                                          None)])
         for aci in acis_bck:
-            topology.standalone.modify_s(DEFAULT_SUFFIX, [(ldap.MOD_ADD,
-                                                           'aci',
-                                                           aci.getRawAci())])
-        del_users(topology, users_list)
+            topology_st.standalone.modify_s(DEFAULT_SUFFIX, [(ldap.MOD_ADD,
+                                                              'aci',
+                                                              aci.getRawAci())])
+        del_users(topology_st, users_list)
 
 
-def test_search_multiple_paging(topology, test_user):
+def test_search_multiple_paging(topology_st, test_user):
     """Verify that after performing multiple simple paged searches
     on a single connection without a complition, it wouldn't fail.
 
@@ -685,13 +652,13 @@ def test_search_multiple_paging(topology, test_user):
 
     users_num = 100
     page_size = 30
-    users_list = add_users(topology, users_num, DEFAULT_SUFFIX)
+    users_list = add_users(topology_st, users_num, DEFAULT_SUFFIX)
     search_flt = r'(uid=test*)'
     searchreq_attrlist = ['dn', 'sn']
 
     try:
         log.info('Set user bind')
-        topology.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
+        topology_st.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
 
         log.info('Create simple paged results control instance')
         req_ctrl = SimplePagedResultsControl(True, size=page_size, cookie='')
@@ -699,33 +666,33 @@ def test_search_multiple_paging(topology, test_user):
 
         for ii in range(3):
             log.info('Iteration %d' % ii)
-            msgid = topology.standalone.search_ext(DEFAULT_SUFFIX,
-                                                   ldap.SCOPE_SUBTREE,
-                                                   search_flt,
-                                                   searchreq_attrlist,
-                                                   serverctrls=controls)
-            rtype, rdata, rmsgid, rctrls = topology.standalone.result3(msgid)
+            msgid = topology_st.standalone.search_ext(DEFAULT_SUFFIX,
+                                                      ldap.SCOPE_SUBTREE,
+                                                      search_flt,
+                                                      searchreq_attrlist,
+                                                      serverctrls=controls)
+            rtype, rdata, rmsgid, rctrls = topology_st.standalone.result3(msgid)
             pctrls = [
                 c
                 for c in rctrls
                 if c.controlType == SimplePagedResultsControl.controlType
-            ]
+                ]
 
             # Copy cookie from response control to request control
             req_ctrl.cookie = pctrls[0].cookie
-            msgid = topology.standalone.search_ext(DEFAULT_SUFFIX,
-                                                   ldap.SCOPE_SUBTREE,
-                                                   search_flt,
-                                                   searchreq_attrlist,
-                                                   serverctrls=controls)
+            msgid = topology_st.standalone.search_ext(DEFAULT_SUFFIX,
+                                                      ldap.SCOPE_SUBTREE,
+                                                      search_flt,
+                                                      searchreq_attrlist,
+                                                      serverctrls=controls)
     finally:
         log.info('Set Directory Manager bind back (test_search_multiple_paging)')
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
-        del_users(topology, users_list)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
+        del_users(topology_st, users_list)
 
 
 @pytest.mark.parametrize("invalid_cookie", [1000, -1])
-def test_search_invalid_cookie(topology, test_user, invalid_cookie):
+def test_search_invalid_cookie(topology_st, test_user, invalid_cookie):
     """Verify that using invalid cookie while performing
     search with the simple paged results control throws
     a TypeError exception
@@ -745,41 +712,41 @@ def test_search_invalid_cookie(topology, test_user, invalid_cookie):
 
     users_num = 100
     page_size = 50
-    users_list = add_users(topology, users_num, DEFAULT_SUFFIX)
+    users_list = add_users(topology_st, users_num, DEFAULT_SUFFIX)
     search_flt = r'(uid=test*)'
     searchreq_attrlist = ['dn', 'sn']
 
     try:
         log.info('Set user bind')
-        topology.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
+        topology_st.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
 
         log.info('Create simple paged results control instance')
         req_ctrl = SimplePagedResultsControl(True, size=page_size, cookie='')
         controls = [req_ctrl]
 
-        msgid = topology.standalone.search_ext(DEFAULT_SUFFIX,
-                                               ldap.SCOPE_SUBTREE,
-                                               search_flt,
-                                               searchreq_attrlist,
-                                               serverctrls=controls)
-        rtype, rdata, rmsgid, rctrls = topology.standalone.result3(msgid)
+        msgid = topology_st.standalone.search_ext(DEFAULT_SUFFIX,
+                                                  ldap.SCOPE_SUBTREE,
+                                                  search_flt,
+                                                  searchreq_attrlist,
+                                                  serverctrls=controls)
+        rtype, rdata, rmsgid, rctrls = topology_st.standalone.result3(msgid)
 
         log.info('Put an invalid cookie (%d) to the control. TypeError is expected' %
                  invalid_cookie)
         req_ctrl.cookie = invalid_cookie
         with pytest.raises(TypeError):
-            msgid = topology.standalone.search_ext(DEFAULT_SUFFIX,
-                                                   ldap.SCOPE_SUBTREE,
-                                                   search_flt,
-                                                   searchreq_attrlist,
-                                                   serverctrls=controls)
+            msgid = topology_st.standalone.search_ext(DEFAULT_SUFFIX,
+                                                      ldap.SCOPE_SUBTREE,
+                                                      search_flt,
+                                                      searchreq_attrlist,
+                                                      serverctrls=controls)
     finally:
         log.info('Set Directory Manager bind back (test_search_invalid_cookie)')
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
-        del_users(topology, users_list)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
+        del_users(topology_st, users_list)
 
 
-def test_search_abandon_with_zero_size(topology, test_user):
+def test_search_abandon_with_zero_size(topology_st, test_user):
     """Verify that search with simple paged results control
     can be abandon using page_size = 0
 
@@ -797,37 +764,37 @@ def test_search_abandon_with_zero_size(topology, test_user):
 
     users_num = 10
     page_size = 0
-    users_list = add_users(topology, users_num, DEFAULT_SUFFIX)
+    users_list = add_users(topology_st, users_num, DEFAULT_SUFFIX)
     search_flt = r'(uid=test*)'
     searchreq_attrlist = ['dn', 'sn']
 
     try:
         log.info('Set user bind')
-        topology.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
+        topology_st.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
 
         log.info('Create simple paged results control instance')
         req_ctrl = SimplePagedResultsControl(True, size=page_size, cookie='')
         controls = [req_ctrl]
 
-        msgid = topology.standalone.search_ext(DEFAULT_SUFFIX,
-                                               ldap.SCOPE_SUBTREE,
-                                               search_flt,
-                                               searchreq_attrlist,
-                                               serverctrls=controls)
-        rtype, rdata, rmsgid, rctrls = topology.standalone.result3(msgid)
+        msgid = topology_st.standalone.search_ext(DEFAULT_SUFFIX,
+                                                  ldap.SCOPE_SUBTREE,
+                                                  search_flt,
+                                                  searchreq_attrlist,
+                                                  serverctrls=controls)
+        rtype, rdata, rmsgid, rctrls = topology_st.standalone.result3(msgid)
         pctrls = [
             c
             for c in rctrls
             if c.controlType == SimplePagedResultsControl.controlType
-        ]
+            ]
         assert not pctrls[0].cookie
     finally:
         log.info('Set Directory Manager bind back (test_search_abandon_with_zero_size)')
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
-        del_users(topology, users_list)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
+        del_users(topology_st, users_list)
 
 
-def test_search_pagedsizelimit_success(topology, test_user):
+def test_search_pagedsizelimit_success(topology_st, test_user):
     """Verify that search with a simple paged results control
     returns all entries it should without errors while
     valid value set to nsslapd-pagedsizelimit.
@@ -849,20 +816,20 @@ def test_search_pagedsizelimit_success(topology, test_user):
     page_size = 10
     attr_name = 'nsslapd-pagedsizelimit'
     attr_value = '20'
-    attr_value_bck = change_conf_attr(topology, DN_CONFIG,
+    attr_value_bck = change_conf_attr(topology_st, DN_CONFIG,
                                       attr_name, attr_value)
-    users_list = add_users(topology, users_num, DEFAULT_SUFFIX)
+    users_list = add_users(topology_st, users_num, DEFAULT_SUFFIX)
     search_flt = r'(uid=test*)'
     searchreq_attrlist = ['dn', 'sn']
 
     try:
         log.info('Set user bind')
-        topology.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
+        topology_st.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
 
         req_ctrl = SimplePagedResultsControl(True, size=page_size, cookie='')
         controls = [req_ctrl]
 
-        all_results = paged_search(topology, DEFAULT_SUFFIX, controls,
+        all_results = paged_search(topology_st, DEFAULT_SUFFIX, controls,
                                    search_flt, searchreq_attrlist)
 
         log.info('%d results' % len(all_results))
@@ -870,15 +837,15 @@ def test_search_pagedsizelimit_success(topology, test_user):
 
     finally:
         log.info('Set Directory Manager bind back (test_search_pagedsizelimit_success)')
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
-        del_users(topology, users_list)
-        change_conf_attr(topology, DN_CONFIG,
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
+        del_users(topology_st, users_list)
+        change_conf_attr(topology_st, DN_CONFIG,
                          'nsslapd-pagedsizelimit', attr_value_bck)
 
 
 @pytest.mark.parametrize('conf_attr,user_attr,expected_rs',
                          (('5', '15', 'PASS'), ('15', '5', ldap.SIZELIMIT_EXCEEDED)))
-def test_search_nspagedsizelimit(topology, test_user,
+def test_search_nspagedsizelimit(topology_st, test_user,
                                  conf_attr, user_attr, expected_rs):
     """Verify that nsPagedSizeLimit attribute overrides
     nsslapd-pagedsizelimit while performing search with
@@ -909,17 +876,17 @@ def test_search_nspagedsizelimit(topology, test_user,
 
     users_num = 10
     page_size = 10
-    users_list = add_users(topology, users_num, DEFAULT_SUFFIX)
+    users_list = add_users(topology_st, users_num, DEFAULT_SUFFIX)
     search_flt = r'(uid=test*)'
     searchreq_attrlist = ['dn', 'sn']
-    conf_attr_bck = change_conf_attr(topology, DN_CONFIG,
+    conf_attr_bck = change_conf_attr(topology_st, DN_CONFIG,
                                      'nsslapd-pagedsizelimit', conf_attr)
-    user_attr_bck = change_conf_attr(topology, TEST_USER_DN,
+    user_attr_bck = change_conf_attr(topology_st, TEST_USER_DN,
                                      'nsPagedSizeLimit', user_attr)
 
     try:
         log.info('Set user bind')
-        topology.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
+        topology_st.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
 
         req_ctrl = SimplePagedResultsControl(True, size=page_size, cookie='')
         controls = [req_ctrl]
@@ -927,29 +894,29 @@ def test_search_nspagedsizelimit(topology, test_user,
         if expected_rs == ldap.SIZELIMIT_EXCEEDED:
             log.info('Expect to fail with SIZELIMIT_EXCEEDED')
             with pytest.raises(expected_rs):
-                all_results = paged_search(topology, DEFAULT_SUFFIX, controls,
+                all_results = paged_search(topology_st, DEFAULT_SUFFIX, controls,
                                            search_flt, searchreq_attrlist)
         elif expected_rs == 'PASS':
             log.info('Expect to pass')
-            all_results = paged_search(topology, DEFAULT_SUFFIX, controls,
+            all_results = paged_search(topology_st, DEFAULT_SUFFIX, controls,
                                        search_flt, searchreq_attrlist)
             log.info('%d results' % len(all_results))
             assert len(all_results) == len(users_list)
 
     finally:
         log.info('Set Directory Manager bind back (test_search_nspagedsizelimit)')
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
-        del_users(topology, users_list)
-        change_conf_attr(topology, DN_CONFIG,
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
+        del_users(topology_st, users_list)
+        change_conf_attr(topology_st, DN_CONFIG,
                          'nsslapd-pagedsizelimit', conf_attr_bck)
-        change_conf_attr(topology, TEST_USER_DN,
+        change_conf_attr(topology_st, TEST_USER_DN,
                          'nsPagedSizeLimit', user_attr_bck)
 
 
 @pytest.mark.parametrize('conf_attr_values,expected_rs',
                          ((('5000', '100', '100'), ldap.ADMINLIMIT_EXCEEDED),
                           (('5000', '120', '122'), 'PASS')))
-def test_search_paged_limits(topology, test_user, conf_attr_values, expected_rs):
+def test_search_paged_limits(topology_st, test_user, conf_attr_values, expected_rs):
     """Verify that nsslapd-idlistscanlimit and
     nsslapd-lookthroughlimit can limit the administrator
     search abilities.
@@ -979,21 +946,21 @@ def test_search_paged_limits(topology, test_user, conf_attr_values, expected_rs)
 
     users_num = 101
     page_size = 10
-    users_list = add_users(topology, users_num, DEFAULT_SUFFIX)
+    users_list = add_users(topology_st, users_num, DEFAULT_SUFFIX)
     search_flt = r'(uid=test*)'
     searchreq_attrlist = ['dn', 'sn']
-    size_attr_bck = change_conf_attr(topology, DN_CONFIG,
+    size_attr_bck = change_conf_attr(topology_st, DN_CONFIG,
                                      'nsslapd-sizelimit', conf_attr_values[0])
-    pagedsize_attr_bck = change_conf_attr(topology, DN_CONFIG,
+    pagedsize_attr_bck = change_conf_attr(topology_st, DN_CONFIG,
                                           'nsslapd-pagedsizelimit', conf_attr_values[0])
-    idlistscan_attr_bck = change_conf_attr(topology, 'cn=config,%s' % DN_LDBM,
+    idlistscan_attr_bck = change_conf_attr(topology_st, 'cn=config,%s' % DN_LDBM,
                                            'nsslapd-idlistscanlimit', conf_attr_values[1])
-    lookthrough_attr_bck = change_conf_attr(topology, 'cn=config,%s' % DN_LDBM,
+    lookthrough_attr_bck = change_conf_attr(topology_st, 'cn=config,%s' % DN_LDBM,
                                             'nsslapd-lookthroughlimit', conf_attr_values[2])
 
     try:
         log.info('Set user bind')
-        topology.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
+        topology_st.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
 
         req_ctrl = SimplePagedResultsControl(True, size=page_size, cookie='')
         controls = [req_ctrl]
@@ -1001,32 +968,32 @@ def test_search_paged_limits(topology, test_user, conf_attr_values, expected_rs)
         if expected_rs == ldap.ADMINLIMIT_EXCEEDED:
             log.info('Expect to fail with ADMINLIMIT_EXCEEDED')
             with pytest.raises(expected_rs):
-                all_results = paged_search(topology, DEFAULT_SUFFIX, controls,
+                all_results = paged_search(topology_st, DEFAULT_SUFFIX, controls,
                                            search_flt, searchreq_attrlist)
         elif expected_rs == 'PASS':
             log.info('Expect to pass')
-            all_results = paged_search(topology, DEFAULT_SUFFIX, controls,
+            all_results = paged_search(topology_st, DEFAULT_SUFFIX, controls,
                                        search_flt, searchreq_attrlist)
             log.info('%d results' % len(all_results))
             assert len(all_results) == len(users_list)
     finally:
         log.info('Set Directory Manager bind back (test_search_paged_limits)')
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
-        del_users(topology, users_list)
-        change_conf_attr(topology, DN_CONFIG,
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
+        del_users(topology_st, users_list)
+        change_conf_attr(topology_st, DN_CONFIG,
                          'nsslapd-sizelimit', size_attr_bck)
-        change_conf_attr(topology, DN_CONFIG,
+        change_conf_attr(topology_st, DN_CONFIG,
                          'nsslapd-pagedsizelimit', pagedsize_attr_bck)
-        change_conf_attr(topology, 'cn=config,%s' % DN_LDBM,
+        change_conf_attr(topology_st, 'cn=config,%s' % DN_LDBM,
                          'nsslapd-lookthroughlimit', lookthrough_attr_bck)
-        change_conf_attr(topology, 'cn=config,%s' % DN_LDBM,
+        change_conf_attr(topology_st, 'cn=config,%s' % DN_LDBM,
                          'nsslapd-idlistscanlimit', idlistscan_attr_bck)
 
 
 @pytest.mark.parametrize('conf_attr_values,expected_rs',
                          ((('1000', '100', '100'), ldap.ADMINLIMIT_EXCEEDED),
                           (('1000', '120', '122'), 'PASS')))
-def test_search_paged_user_limits(topology, test_user, conf_attr_values, expected_rs):
+def test_search_paged_user_limits(topology_st, test_user, conf_attr_values, expected_rs):
     """Verify that nsPagedIDListScanLimit and nsPagedLookthroughLimit
     override nsslapd-idlistscanlimit and nsslapd-lookthroughlimit
     while performing search with the simple paged results control.
@@ -1057,21 +1024,21 @@ def test_search_paged_user_limits(topology, test_user, conf_attr_values, expecte
 
     users_num = 101
     page_size = 10
-    users_list = add_users(topology, users_num, DEFAULT_SUFFIX)
+    users_list = add_users(topology_st, users_num, DEFAULT_SUFFIX)
     search_flt = r'(uid=test*)'
     searchreq_attrlist = ['dn', 'sn']
-    lookthrough_attr_bck = change_conf_attr(topology, 'cn=config,%s' % DN_LDBM,
+    lookthrough_attr_bck = change_conf_attr(topology_st, 'cn=config,%s' % DN_LDBM,
                                             'nsslapd-lookthroughlimit', conf_attr_values[0])
-    idlistscan_attr_bck = change_conf_attr(topology, 'cn=config,%s' % DN_LDBM,
+    idlistscan_attr_bck = change_conf_attr(topology_st, 'cn=config,%s' % DN_LDBM,
                                            'nsslapd-idlistscanlimit', conf_attr_values[0])
-    user_idlistscan_attr_bck = change_conf_attr(topology, TEST_USER_DN,
+    user_idlistscan_attr_bck = change_conf_attr(topology_st, TEST_USER_DN,
                                                 'nsPagedIDListScanLimit', conf_attr_values[1])
-    user_lookthrough_attr_bck = change_conf_attr(topology, TEST_USER_DN,
+    user_lookthrough_attr_bck = change_conf_attr(topology_st, TEST_USER_DN,
                                                  'nsPagedLookthroughLimit', conf_attr_values[2])
 
     try:
         log.info('Set user bind')
-        topology.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
+        topology_st.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
 
         req_ctrl = SimplePagedResultsControl(True, size=page_size, cookie='')
         controls = [req_ctrl]
@@ -1079,29 +1046,29 @@ def test_search_paged_user_limits(topology, test_user, conf_attr_values, expecte
         if expected_rs == ldap.ADMINLIMIT_EXCEEDED:
             log.info('Expect to fail with ADMINLIMIT_EXCEEDED')
             with pytest.raises(expected_rs):
-                all_results = paged_search(topology, DEFAULT_SUFFIX, controls,
+                all_results = paged_search(topology_st, DEFAULT_SUFFIX, controls,
                                            search_flt, searchreq_attrlist)
         elif expected_rs == 'PASS':
             log.info('Expect to pass')
-            all_results = paged_search(topology, DEFAULT_SUFFIX, controls,
+            all_results = paged_search(topology_st, DEFAULT_SUFFIX, controls,
                                        search_flt, searchreq_attrlist)
             log.info('%d results' % len(all_results))
             assert len(all_results) == len(users_list)
     finally:
         log.info('Set Directory Manager bind back (test_search_paged_user_limits)')
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
-        del_users(topology, users_list)
-        change_conf_attr(topology, 'cn=config,%s' % DN_LDBM,
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
+        del_users(topology_st, users_list)
+        change_conf_attr(topology_st, 'cn=config,%s' % DN_LDBM,
                          'nsslapd-lookthroughlimit', lookthrough_attr_bck)
-        change_conf_attr(topology, 'cn=config,%s' % DN_LDBM,
+        change_conf_attr(topology_st, 'cn=config,%s' % DN_LDBM,
                          'nsslapd-idlistscanlimit', idlistscan_attr_bck)
-        change_conf_attr(topology, TEST_USER_DN,
+        change_conf_attr(topology_st, TEST_USER_DN,
                          'nsPagedIDListScanLimit', user_idlistscan_attr_bck)
-        change_conf_attr(topology, TEST_USER_DN,
+        change_conf_attr(topology_st, TEST_USER_DN,
                          'nsPagedLookthroughLimit', user_lookthrough_attr_bck)
 
 
-def test_ger_basic(topology, test_user):
+def test_ger_basic(topology_st, test_user):
     """Verify that search with a simple paged results control
     and get effective rights control returns all entries
     it should without errors.
@@ -1118,19 +1085,19 @@ def test_ger_basic(topology, test_user):
              an 'attributeLevelRights' returned
     """
 
-    users_list = add_users(topology, 20, DEFAULT_SUFFIX)
+    users_list = add_users(topology_st, 20, DEFAULT_SUFFIX)
     search_flt = r'(uid=test*)'
     searchreq_attrlist = ['dn', 'sn']
     page_size = 4
 
     try:
         log.info('Set bind to directory manager')
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
 
         spr_ctrl = SimplePagedResultsControl(True, size=page_size, cookie='')
         ger_ctrl = GetEffectiveRightsControl(True, "dn: " + DN_DM)
 
-        all_results = paged_search(topology, DEFAULT_SUFFIX, [spr_ctrl, ger_ctrl],
+        all_results = paged_search(topology_st, DEFAULT_SUFFIX, [spr_ctrl, ger_ctrl],
                                    search_flt, searchreq_attrlist)
 
         log.info('{} results'.format(len(all_results)))
@@ -1139,10 +1106,10 @@ def test_ger_basic(topology, test_user):
         assert all(attrs['attributeLevelRights'][0] for dn, attrs in all_results)
     finally:
         log.info('Remove added users')
-        del_users(topology, users_list)
+        del_users(topology_st, users_list)
 
 
-def test_multi_suffix_search(topology, test_user, new_suffixes):
+def test_multi_suffix_search(topology_st, test_user, new_suffixes):
     """Verify that page result search returns empty cookie
     if there is no returned entry.
 
@@ -1169,27 +1136,27 @@ def test_multi_suffix_search(topology, test_user, new_suffixes):
     users_num = 20
 
     log.info('Clear the access log')
-    topology.standalone.deleteAccessLogs()
+    topology_st.standalone.deleteAccessLogs()
 
-    users_list_1 = add_users(topology, users_num / 2, NEW_SUFFIX_1)
-    users_list_2 = add_users(topology, users_num / 2, NEW_SUFFIX_2)
+    users_list_1 = add_users(topology_st, users_num / 2, NEW_SUFFIX_1)
+    users_list_2 = add_users(topology_st, users_num / 2, NEW_SUFFIX_2)
 
     try:
         log.info('Set DM bind')
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
 
         req_ctrl = SimplePagedResultsControl(True, size=page_size, cookie='')
 
-        all_results = paged_search(topology, NEW_SUFFIX_1, [req_ctrl],
-                                search_flt, searchreq_attrlist)
+        all_results = paged_search(topology_st, NEW_SUFFIX_1, [req_ctrl],
+                                   search_flt, searchreq_attrlist)
 
         log.info('{} results'.format(len(all_results)))
         assert len(all_results) == users_num
 
         log.info('Restart the server to flush the logs')
-        topology.standalone.restart(timeout=10)
+        topology_st.standalone.restart(timeout=10)
 
-        access_log_lines = topology.standalone.ds_access_log.match('.*pr_cookie=.*')
+        access_log_lines = topology_st.standalone.ds_access_log.match('.*pr_cookie=.*')
         pr_cookie_list = ([line.rsplit('=', 1)[-1] for line in access_log_lines])
         pr_cookie_list = [int(pr_cookie) for pr_cookie in pr_cookie_list]
         log.info('Assert that last pr_cookie == -1 and others pr_cookie == 0')
@@ -1198,12 +1165,12 @@ def test_multi_suffix_search(topology, test_user, new_suffixes):
         assert pr_cookie_list[-1] == -1
     finally:
         log.info('Remove added users')
-        del_users(topology, users_list_1)
-        del_users(topology, users_list_2)
+        del_users(topology_st, users_list_1)
+        del_users(topology_st, users_list_2)
 
 
 @pytest.mark.parametrize('conf_attr_value', (None, '-1', '1000'))
-def test_maxsimplepaged_per_conn_success(topology, test_user, conf_attr_value):
+def test_maxsimplepaged_per_conn_success(topology_st, test_user, conf_attr_value):
     """Verify that nsslapd-maxsimplepaged-per-conn acts according design
 
     :Feature: Simple paged results
@@ -1222,37 +1189,37 @@ def test_maxsimplepaged_per_conn_success(topology, test_user, conf_attr_value):
              results requests per connection.
     """
 
-    users_list = add_users(topology, 20, DEFAULT_SUFFIX)
+    users_list = add_users(topology_st, 20, DEFAULT_SUFFIX)
     search_flt = r'(uid=test*)'
     searchreq_attrlist = ['dn', 'sn']
     page_size = 4
     if conf_attr_value:
-        max_per_con_bck = change_conf_attr(topology, DN_CONFIG,
+        max_per_con_bck = change_conf_attr(topology_st, DN_CONFIG,
                                            'nsslapd-maxsimplepaged-per-conn',
                                            conf_attr_value)
 
     try:
         log.info('Set user bind')
-        topology.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
+        topology_st.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
 
         req_ctrl = SimplePagedResultsControl(True, size=page_size, cookie='')
 
-        all_results = paged_search(topology, DEFAULT_SUFFIX, [req_ctrl],
+        all_results = paged_search(topology_st, DEFAULT_SUFFIX, [req_ctrl],
                                    search_flt, searchreq_attrlist)
 
         log.info('{} results'.format(len(all_results)))
         assert len(all_results) == len(users_list)
     finally:
         log.info('Remove added users')
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
-        del_users(topology, users_list)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
+        del_users(topology_st, users_list)
         if conf_attr_value:
-            change_conf_attr(topology, DN_CONFIG,
+            change_conf_attr(topology_st, DN_CONFIG,
                              'nsslapd-maxsimplepaged-per-conn', max_per_con_bck)
 
 
 @pytest.mark.parametrize('conf_attr_value', ('0', '1'))
-def test_maxsimplepaged_per_conn_failure(topology, test_user, conf_attr_value):
+def test_maxsimplepaged_per_conn_failure(topology_st, test_user, conf_attr_value):
     """Verify that nsslapd-maxsimplepaged-per-conn acts according design
 
     :Feature: Simple paged results
